Bug 160488 - Screen blank while shutting down
Screen blank while shutting down
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-06-15 09:38 EDT by Trevor Curtis
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-14 11:55:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Trevor Curtis 2005-06-15 09:38:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When a user shuts down the system (in init level 5), the screen goes blank while system stops services, and syncs disks

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. At the GDM login prompt, select either shutdown or reboot at the bottom of the screen.

Actual Results:  The screen goes blank as the system shuts down.

Expected Results:  Some sort of indication that the system is being shutdown/rebooted to prevent users from thinking the system is hung. 

Additional info:

This is something small, but something I think could lead users to think the system is hung. As a result, they may try to manually shutdown/reboot the system (ie, with the "Power" or "reboot" buttons on their computer). This could lead to the user interupting the system before disks are sync'd, and services shutdown.

I was also not sure what component a bug like this should be filed under. Appologies if this is the wrong component.
Comment 1 Clark T. 2005-06-26 10:19:53 EDT
Same problem here (i852). I was also having problems with blank consoles (bug
#160470), but was able to fix that by replacing libvgahw.a. This problem
remains, however. Are they not related?
Comment 2 Clark T. 2005-07-05 01:24:42 EDT
Has there been any progress with this bug? Sometimes simply logging out or
killing the X server requires me to reboot as the screen will go blank. It can
be extremely frustrating at times.

I'm more than happy to do any testing/reporting as needed, but I'm not quite
sure where to begin.
Comment 3 Ray Strode [halfline] 2005-07-05 10:21:32 EDT
Hi Clark,

This issue hasn't been looked at, yet.  It will likely be looked at in the
future, though.
Comment 4 Nils Fredrik Gjerull 2005-07-12 06:45:38 EDT
I have an Fujitsu-Siemens Amilo L laptop with an integrated Intel 82845G
graphics card. I have the same problem. The screen goes blank when I shut down
and I have blank virtual terminals. In addition I have problems when entering
graphics mode during boot up. The screen flickers three times before entering
the progress bar screen. When entering the login screen it flickers for four times.
Comment 5 Olivier Baudron 2005-08-11 06:23:04 EDT
The problem may be fixed in xorg-x11-6.8.2-45.
Can you give it a try?
Comment 6 Clark T. 2005-11-09 03:34:20 EST
Sorry. After dealing with a number of issues, I had been forced to go with a
different distro since I use my laptop for work. However, I recently checked to
see if some these issues had been addressed by re-installing on a small
partition, but the problem blank screen on shutdown persists. 

I tried to install xorg-x11-6.8.2-45, but ran into issues with libc.so.6. After
a locate I found libc.so.6, but despite playing with a number of symlinks, I
couldn't get the dependency satisfied. Is there an easy way to test an updated
version of xorg to see a fix has been included?
Comment 7 Igor Madera Sepúlveda 2005-11-21 11:36:30 EST
There is a suggested way for handling this situation (blank screed during
shutdown), by pressing any key (so you have to choose wisely that key, CTRL
would be just fine).  Here is some people talking about this.

Comment 8 Igor Madera Sepúlveda 2005-11-21 11:40:55 EST
Here is another link to discussion around this theme, indeed, this one suggest a
diferent way for solving the "bug", take a look at this if you want to:

Comment 9 Christian Iseli 2007-01-22 06:14:37 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 10 Ray Strode [halfline] 2007-08-14 11:55:42 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there haven't been any
updates to the report in quite a long time now after we've
requested additional information, we're assuming the problem
is either no longer present in our current OS release, or
that there is no longer any interest in tracking the problem.

Setting status to CANTFIX, however if you still
experience this problem after updating to our latest Fedora
Core release and are still interested in Red Hat tracking
the issue, and assisting in troubleshooting the problem,
please feel free to provide the information requested above,
and reopen the report.

Thank you in advance.

(this message is mass message)

Note You need to log in before you can comment on or make changes to this bug.